### Signal

# EDataServer SourceRegistryWatcher::disappeared

since: 3.26

#### Declaration

    void
    disappeared (
      ESourceRegistryWatcher* self,
      ESource* source,
      gpointer user_data
    )

#### Description [src]

A signal emitted when the `source` is disabled or removed and it had been considered for inclusion with the `ESourceRegistryWatcher`::filter signal earlier.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.26

#### Parameters

`source`

  Type: `ESource`

  The `ESource` which disappeared.

  The data is owned by the caller of the function.